Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_SupplierControl Class Reference

SupplierControl. More...

`#include <CEC_SupplierControl.h>`

Inheritance diagram for TAO_CEC_SupplierControl:

[legend]
List of all members.

## Public Methods
| TAO_CEC_SupplierControl (void)
| Constructor. It does not assume ownership of the <event_channel> parameter. More...
virtual | ~TAO_CEC_SupplierControl (void)
| destructor... More...
virtual int | activate (void)
| Activate any internal threads or timers used to poll the state of the suppliers. More...
virtual int | shutdown (void)
virtual void | supplier_not_exist (TAO_CEC_ProxyPushConsumer *proxy ACE_ENV_ARG_DECL_NOT_USED)
virtual void | supplier_not_exist (TAO_CEC_ProxyPullConsumer *proxy ACE_ENV_ARG_DECL_NOT_USED)
virtual void | system_exception (TAO_CEC_ProxyPullConsumer *proxy, CORBA::SystemException &ACE_ENV_ARG_DECL_NOT_USED)
| Some system exception was rasied while trying to push an event. More...

## Detailed Description

SupplierControl.

Defines the interface for the supplier control strategy. This strategy handles misbehaving or failing suppliers. = MEMORY MANAGMENT = LOCKING = TODO

## Constructor & Destructor Documentation

TAO_CEC_SupplierControl::TAO_CEC_SupplierControl | ( | void |  | ) |

| Constructor. It does not assume ownership of the <event_channel> parameter.

TAO_CEC_SupplierControl::~TAO_CEC_SupplierControl | ( | void |  | ) | `[virtual]`

| destructor...

## Member Function Documentation

int TAO_CEC_SupplierControl::activate | ( | void |  | ) | `[virtual]`

| Activate any internal threads or timers used to poll the state of the suppliers. Reimplemented in TAO_CEC_Reactive_SupplierControl.

int TAO_CEC_SupplierControl::shutdown | ( | void |  | ) | `[virtual]`

| Reimplemented in TAO_CEC_Reactive_SupplierControl.

virtual void TAO_CEC_SupplierControl::supplier_not_exist | ( | TAO_CEC_ProxyPullConsumer *proxy | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Invoked by helper classes when they detect that a supplier does not exists (i.e. _non_existent() returns true and/or the CORBA::OBJECT_NOT_EXIST exception has been raised). Reimplemented in TAO_CEC_Reactive_SupplierControl.

virtual void TAO_CEC_SupplierControl::supplier_not_exist | ( | TAO_CEC_ProxyPushConsumer *proxy | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Invoked by helper classes when they detect that a supplier does not exists (i.e. _non_existent() returns true and/or the CORBA::OBJECT_NOT_EXIST exception has been raised). Reimplemented in TAO_CEC_Reactive_SupplierControl.

void TAO_CEC_SupplierControl::system_exception | ( | TAO_CEC_ProxyPullConsumer * | proxy,
|  | CORBA::SystemException & | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Some system exception was rasied while trying to push an event. Reimplemented in TAO_CEC_Reactive_SupplierControl.

The documentation for this class was generated from the following files:

- CEC_SupplierControl.h
- CEC_SupplierControl.cpp